Subject: Ticket Assigned - My Account
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 27 Oct 2020 22:51:28 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  My Account I forgot my password and when I press forgot password I received an email and it ask me to click on reset password when I press it takes me to the sign in page without resetting my password I tried severaI time the same in centerpoint and max. I want to order online so please help me to reset my password.

Regards https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1625459